%define version 0.4.7
%define release 3mdk
%define oname logging
%define dname %{oname}-%{version}

Name: python-%oname
Version: %{version}
Release: %{release}
Source: %{dname}.tar.bz2
Summary: Fast Python module for rational numbers
License: Distributable
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://www.red-dove.com/python_logging.html
Requires: python >= %{pyver}
BuildRequires: python >= %{pyver}
BuildRequires: libpython-devel >= %{pyver}
BuildArch: noarch

%description
This is a python module that implements a full-featured logging system
in line with PEP 282 (comparable to java.util.logging, log4j, etc.).

%prep
%setup -q -n %{dname}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt PKG-INFO python_logging.html default.css
%{_libdir}/python%{pyver}/site-packages/logging/

%changelog
* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.4.7-3mdk
- Rebuild for new python

* Sat Aug 9 2003 Austin Acton <aacton@yorku.ca> 0.4.7-2mdk
- python 2.3

* Wed Jul 9 2003 Austin Acton <aacton@yorku.ca> 0.4.7-1mdk
- from andi payn <payn@myrealbox.com> :
  - Initial specfile
